Get Firehose Customers
GET /obp/v7.0.0/banks/FIREHOSE_BANK_ID/firehose/customers
OBPv3.1.0-getFirehoseCustomers No role required CustomerFirehoseData
Get Customers that has a firehose View.
Allows bulk access to customers. User must have the CanUseFirehoseAtAnyBank Role
Possible custom url parameters for pagination:
- limit=NUMBER ==> default value: 50
- offset=NUMBER ==> default value: 0
eg1:?limit=100&offset=0
URL encoding: query parameter values containing &, =, +, #, %, or spaces must be URL-encoded (e.g. + → %2B, space → %20). Most other characters (including @ in emails) are safe unencoded, but encoding is always permitted.
- sort_direction=ASC/DESC ==> default value: DESC.
eg2:?limit=100&offset=0&sort_direction=ASC
- from_date=DATE => example value: 1970-01-01T00:00:00.000Z. NOTE! The default value is one year ago (1970-01-01T00:00:00.000Z).
- to_date=DATE => example value: 2026-10-21T01:45:42.490Z. NOTE! The default value is now (2026-10-21T01:45:42.490Z).
Date format parameter: yyyy-MM-dd'T'HH:mm:ss.SSS'Z'(1100-01-01T01:01:01.000Z) ==> time zone is UTC.
eg3:?sort_direction=ASC&limit=100&offset=0&from_date=1100-01-01T01:01:01.000Z&to_date=1100-01-01T01:01:01.000Z
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
FIREHOSE_BANK_ID: FIREHOSE_BANK_ID
JSON response body fields (24)
- amount
- 10.12
- bank_id
- gh.29.uk
- currency
- EUR
- customer_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- customer_number
- 5987953
- customers
- date
- 2020-01-27
- date_of_birth
- 2018-03-09
- dependants
- 1
- dob_of_dependants
- [2019-09-08, 2017-07-12]
- felixsmith@example.com
- employment_status
- worker
- face_image
- highest_education_attained
- Master
- kyc_status
- false
- last_ok_date
- 2025-10-21T01:45:31.340Z
- legal_name
- Eveline Tripman
- mobile_phone_number
- +49 30 901820
- rating
- relationship_status
- single
- source
- url
- http://www.example.com/id-docs/123/image.png
- credit_limit
- credit_rating
Example success response
{
"customers": [
{
"bank_id": "gh.29.uk",
"customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"customer_number": "5987953",
"legal_name": "Eveline Tripman",
"mobile_phone_number": "+44 07972 444 876",
"email": "felixsmith@example.com",
"face_image": {
"url": "www.openbankproject",
"date": "1100-01-01T00:00:00Z"
},
"date_of_birth": "1100-01-01T00:00:00Z",
"relationship_status": "single",
"dependants": 1,
"dob_of_dependants": [
"1100-01-01T00:00:00Z"
],
"credit_rating": {
"rating": "OBP",
"source": "OBP"
},
"credit_limit": {
"currency": "EUR",
"amount": "0"
},
"highest_education_attained": "Master",
"employment_status": "worker",
"kyc_status": false,
"last_ok_date": "2025-10-21T01:45:41Z"
}
]
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-00012: Customer firehose is not allowed on this instance. Please set allow_customer_firehose = true in props files.
- OBP-50000: Unknown Error.